Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Interface HeuristicMessageConsumer

All Superinterfaces:
  javax.jms.MessageConsumer

All Known Subinterfaces:
  HeuristicQueueReceiver, HeuristicTopicSubscriber

    public interface HeuristicMessageConsumer

extends javax.jms.MessageConsumer

A message consumer with support for heuristic information. This information is kept in the logs and can help to provide details in case of indoubt or heuristic XA transactions during receive.

Method Summary
`javax.jms.Message` | `receive(long timeout, String hmsg)` Block until a message is there, but use the supplied heuristic information.
`javax.jms.Message` | `receive(String hmsg)` Block until a message is there, and use the supplied heuristic information.
`javax.jms.Message` | `receiveNoWait(String hmsg)` Do not block until a message is there, and use the supplied heuristic information.

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Method Detail

### receive

    javax.jms.Message receive(String hmsg)
                              throws javax.jms.JMSException

  Block until a message is there, and use the supplied heuristic information.

  Parameters:
    `hmsg` - The heuristic information to show in case of problems.
  Returns:
    Message The JMS message.
  Throws:
    `javax.jms.JMSException`

### receive

    javax.jms.Message receive(long timeout,
                              String hmsg)
                              throws javax.jms.JMSException

  Block until a message is there, but use the supplied heuristic information.

  Parameters:
    `hmsg` - The heuristic information to show in case of problems.
    `timeout` - The timeout for receive.
  Returns:
    Message The message or null on timeout.
  Throws:
    `javax.jms.JMSException` - On error.

### receiveNoWait

    javax.jms.Message receiveNoWait(String hmsg)
                                    throws javax.jms.JMSException

  Do not block until a message is there, and use the supplied heuristic information.

  Parameters:
    `hmsg` - The heuristic information to show in case of problems.
  Returns:
    Message The message, or null if none.
  Throws:
    `javax.jms.JMSException` - On error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.